dab_correct_individual_phase_offset_vff.h File Reference
`#include <gr_sync_block.h>`
Include dependency graph for dab_correct_individual_phase_offset_vff.h:

Go to the source code of this file.

## Classes

class | dab_correct_individual_phase_offset_vff
| Corrects the individual phase offset of each subcarrier by doing an estimation of the error. More...

## Functions

dab_correct_individual_phase_offset_vff_sptr | dab_make_correct_individual_phase_offset_vff (unsigned int vlen, float alpha)
| Return a shared_ptr to a new instance of dab_correct_individual_phase_offset_vff.

## Function Documentation

## dab_make_correct_individual_phase_offset_vff()

dab_correct_individual_phase_offset_vff_sptr dab_make_correct_individual_phase_offset_vff | ( | unsigned int | vlen,
|  | float | alpha )

Return a shared_ptr to a new instance of dab_correct_individual_phase_offset_vff.

To avoid accidental use of raw pointers, dab_correct_individual_phase_offset_vff's constructor is private. dab_make_correct_individual_phase_offset_vff is the public interface for creating new instances.